## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class NewBreakpointData

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.BreakpointData
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.NewBreakpointData

All Implemented Interfaces:
  java.io.Serializable

    public class NewBreakpointData

extends BreakpointData

See Also:
  Serialized Form

Field Summary
`long` `ID`
`int` `line`
`java.lang.String` `targetURI`

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.BreakpointData
`condition, conditionEnabled, conditionSuspendOnTrue, hitCount`

Constructor Summary
`NewBreakpointData()`
`NewBreakpointData(long id, int line, java.lang.String targetURI, BreakpointData data)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public long ID

### line

    public int line

### targetURI

    public java.lang.String targetURI

Constructor Detail

### NewBreakpointData

    public NewBreakpointData()

### NewBreakpointData

    public NewBreakpointData(long id,
                             int line,
                             java.lang.String targetURI,
                             BreakpointData data)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.